<?php

$apiKey = "YOUR_API_KEY"; // <-- we need this to connect to API, obtain by emailing mail@thehub.scot
$apiPath = "https://thehub.scot/api";

function showEvent($jsonContent){
	
	$hubDomain = "https://thehub.scot";
	
	$jsonArray = json_decode($jsonContent, true);
	
	?>
	
	<div class="itemWrapper">
		<div class="shareEmbedEventWrapper">
			
			<div class="shareEmbedEventAvatar" style="float: left;">
				<a href="<?php echo $hubDomain; ?>/<?php echo $jsonArray['post_author']['group_handle']; ?>">
					<img loading="lazy"  src="<?php echo $jsonArray['post_author']['group_avatar']; ?>" />
				</a>
			</div>

			<div class="shareEmbedEventContent">
				<div class="shareEmbedEventDate">
					<?php echo $jsonArray["post_content"]["event"]["start_date_formatted"]; ?>
				</div>											
				<div class="shareEmbedEventTitle">
					<a target="_blank" href="<?php echo $jsonArray['post_content']['event']['link']; ?>">
						<?php echo $jsonArray['post_content']['event']['title']; ?>
					</a>
				</div>
				<div class="shareEmbedEventName">
					<a href="<?php echo $hubDomain; ?>/<?php echo $jsonArray['post_author']['group_handle']; ?>">
						<?php echo $jsonArray['post_author']['group_name']; ?>
					</a>
				</div>
			</div>
		</div>
	</div>
	
	<?php
	
}

?>
<html>
<head>
	<link href="https://fonts.googleapis.com/css2?family=Open+Sans&family=Roboto:wght@900&display=swap" rel="stylesheet">
	<style>
		html{
			font-family: 'Open Sans', sans-serif;
		}
		a{
			text-decoration:none;
			color: black;
		}
		.shareEmbedEventWrapper{
			width: calc(100% - 40px);
			float: left;
			padding: 20px;
			display: flex;
			align-items: center;
		}
		.shareEmbedEventContent{
			float: left;
			width: calc(100% - 150px);
		}
		.shareEmbedEventAvatar,
		.shareEmbedEventAvatar img{
			border-radius: 60px;
			width: 120px;
			height: 120px;
		}
		.shareEmbedEventDate{
			float: left;
			padding-left: 20px;
			vertical-align: top;
			font-weight: bold;
			color: #f0284a;
			text-transform: uppercase;
			font-size: 14px;
		}
		.shareEmbedEventTitle{
			line-height: 28px;
			font-weight: 700;
			font-size: 20px;
			padding-left: 20px;
			padding-top: 5px;
			padding-bottom: 5px;
			float: left;
			width: 100%;
		}
		.shareEmbedEventName{
			font-weight: normal;
			line-height: 1.1765;
			font-size: 17px;
			padding-left: 20px;
			float: left;
			width: 100%;
			clear:both;
			white-space: nowrap;
			overflow: hidden;
			text-overflow: ellipsis;
			position: relative;
		}
		
		@media only screen and (max-width: 500px) {
			.shareEmbedEventWrapper{
				width: calc(100% - 20px);
				float: left;
				padding: 10px;
			}
			.shareEmbedEventContent{
				float: left;
				width: calc(100% - 100px);
			}
			.shareEmbedEventAvatar,
			.shareEmbedEventAvatar img{
				border-radius: 40px;
				width: 80px;
				height: 80px;
			}
			.shareEmbedEventDate{
				padding-left: 10px;
				font-size: 12px;
			}
			.shareEmbedEventTitle{
				line-height: normal;
				font-size: 16px;
				padding-left: 10px;
				padding-top: 5px;
				padding-bottom: 5px;
			}
			.shareEmbedEventName{
				font-size: 14px;
				padding-left: 10px;
			}			
		}
	</style>
</head>
<body>



<?php

	
//set POST variables
$url = $apiPath.'/events/upcoming';

$fields = array(
	'appSecret' => urlencode($apiKey),
	'grassRoots' => urlencode("true"),
	'eventLimit' => urlencode("5")
);

//url-ify the data for the POST
foreach($fields as $key=>$value) { $fields_string .= $key.'='.$value.'&'; }
rtrim($fields_string, '&');

//open connection
$ch = curl_init();

$user_agent = "Mozilla/5.0 (Windows NT 6.1) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/41.0.2228.0 Safari/537.36";
$referer = "https://thehub.scot"; 

//set the url, number of POST vars, POST data
curl_setopt($ch, CURLOPT_USERAGENT, $user_agent);
curl_setopt($ch, CURLOPT_REFERER, $referer);	
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
curl_setopt($ch, CURLOPT_FOLLOWLOCATION, TRUE); 
curl_setopt($ch,CURLOPT_URL, $url);
curl_setopt($ch,CURLOPT_POST, count($fields));
curl_setopt($ch,CURLOPT_POSTFIELDS, $fields_string);
curl_setopt($ch, CURLOPT_IPRESOLVE, CURL_IPRESOLVE_V4 );

//execute post
$result = curl_exec($ch);

	if($errno = curl_errno($ch)) {
	$error_message = curl_strerror($errno);
	echo "cURL error ({$errno}):\n {$error_message}";
}

//close connection
curl_close($ch);

// if we didn't authenticate, we redirect...	

$jsonResult = json_decode($result, true);

$i = 0;
$countResults = count($jsonResult);

while($i < $countResults){

if($jsonResult[$i]['post_type']=='post_event'){
	echo showEvent(json_encode($jsonResult[$i]));	
}


$i++;

}	
	
	
?>

</body>
</html>